From f078f6289e0ff0d026f27887903cc2f74aa26f1b Mon Sep 17 00:00:00 2001
From: Hector Oron <zumbi@abel.debian.org>
Date: Fri, 25 Feb 2011 00:15:34 +0000
Subject: [PATCH] Add ARM (armel and armhf) support.

Signed-off-by: Hector Oron <zumbi@abel.debian.org>
---
 debian/control                                  |    2 +-
 debian/diff/0015-arm-soft-and-hard-support.diff |   19 +++++++++++++++++++
 debian/rules                                    |    5 +++++
 3 files changed, 25 insertions(+), 1 deletions(-)
 create mode 100644 debian/diff/0015-arm-soft-and-hard-support.diff

diff --git a/debian/control b/debian/control
index b2f20b5..0aa0bb7 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Standards-Version: 3.8.3.0
 
 Package: dietlibc-dev
 Section: libdevel
-Architecture: alpha amd64 arm hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Architecture: alpha amd64 arm armel armeb armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 Recommends: dietlibc (= ${source:Version})
 Suggests: dietlibc-doc
 Description: diet libc - a libc optimized for small size
diff --git a/debian/diff/0015-arm-soft-and-hard-support.diff b/debian/diff/0015-arm-soft-and-hard-support.diff
new file mode 100644
index 0000000..fb399df
--- /dev/null
+++ b/debian/diff/0015-arm-soft-and-hard-support.diff
@@ -0,0 +1,19 @@
+--- dietlibc-0.32/diet.c	2011-02-24 23:59:04.000000000 +0000
++++ dietlibc-0.32.fix/diet.c	2011-02-24 23:58:28.000000000 +0000
+@@ -33,10 +33,14 @@
+   "sparc64","-Os","-m64","-mhard-quad-float",0,
+   "alpha","-Os","-fomit-frame-pointer",0,
+ #ifdef __ARM_EABI__
+-  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft","-meabi=4",0,
++#ifdef __ARM_PCS_VFP__
++  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=hard",0,
++#else
++  "arm","-Os","-fomit-frame-pointer","-mfloat-abi=soft",0,
++#endif
+ #else
+   "arm","-Os","-fomit-frame-pointer",0,
+-#endif 
++#endif
+   "mips","-Os","-fomit-frame-pointer",0,
+   "mipsel","-Os","-fomit-frame-pointer","-mno-abicalls","-fno-pic","-G","0",0,
+   "ppc","-Os","-fomit-frame-pointer","-mpowerpc-gpopt","-mpowerpc-gfxopt",0,
diff --git a/debian/rules b/debian/rules
index b3de685..13aef9d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -18,6 +18,11 @@ ifeq ($(ARCH),hppa)
 else
 ifeq ($(ARCH),mipsel)
   ARCH =mips
+else
+ifneq (,$(findstring arm,$(ARCH)))
+  ARCH =arm
+  DEBUG =DEBUG=1
+endif
 endif
 endif
 endif
-- 
1.7.2.3

